Subject: bug#27973: 26.0.50; Feature Request - OSX - Transparent Titlebars

From: Alan Third <[email-masked]>
Date: Sun, 6 Aug 2017 01:14:46 +0100

On Sat, Aug 05, 2017 at 10:26:37AM -0700, James Nguyen wrote:
> Wondering if we can support transparent titlebars in the OSX build of
> Emacs?
> 
> It looks something like this.
> 
> https://cloud.githubusercontent.com/assets/3277054/24304360/623a5ae2-10b9-11e7-8442-f8705580374e.png

Hi, I’m not sure what I’m looking at in this screenshot. Is it just
that the titlebar will show the background or windows underneath?

The documentation for titlebarAppearsTransparent
(https://developer.apple.com/documentation/appkit/nswindow/1419167-titlebarappearstransparent?language=objc)
says

    It only makes sense to set this property to YES when
    NSFullSizeContentViewWindowMask
    is also set.

which I believe merges the toolbar and titlebar. Is that what you’re
thinking of?
-- 
Alan Third